post
https://{defaultHost}/api/v4/campaigns//stop
Stops the specified dialer campaign.
The Stop campaign endpoint stops the specified dialer campaign.
Requirements: Base URL, Authentication, Error codes
Scope: campaigns.manage
What this does
When you send a Stop campaign request,
Voiso
transitions the campaign to a stopped state and returns the updated campaign object.
Endpoint
POST /api/v4/campaigns/{campaign_id}/stop
Path parameters
- campaign_id
The unique identifier of the campaign.
You can get the campaign ID from the Campaigns page in
Voiso, or by using the Get list of campaigns endpoint.
Request body
This endpoint does not require a request body.
Example request
curl -X POST "https://{cluster_id}.voiso.com/api/v4/campaigns/3/stop" \
-H "Authorization: Bearer <contact_center_api_key>" \
-H "Content-Type: application/json"Response
If successful, the API returns the updated campaign object.
Example response:
{
"id": 3,
"name": "Summer Outreach Campaign",
"status": "stopped",
"strategy": "simple",
"dial_level": 1
}Troubleshooting
401 Unauthorized
Returned if the API key is missing or invalid.
403 Forbidden
Returned if the API key does not have access to Campaigns resources.
404 Not found
Returned if the campaign does not exist.
409 Conflict
Returned if the campaign cannot be stopped in its current state (for example, it is already stopped or is in a transitional state).
429 Too many requests
Returned if requests are rate limited.